#ifndef _ROCKS
#define _ROCKS

typedef enum {
	SMALL = 0, BIG = 1
} RockType;



typedef struct Rock {
	double x, y;
	double dx, dy, ax, ay;
	double last_dy;
	int size;
	RockType type;
	int isdivided;
	unsigned char ** bmp;
	int last_update;
	int bounce_nb;
	struct Rock * sub_1; // used after divised on type=BIG
	struct Rock * sub_2; // used after divised on type=BIG
} Rock;

Rock * rock_create(unsigned char ** bmp);
Rock * rock_create2(Rock * big, int position);
void rock_generate(Rock * rock);
void rock_update(Rock * rock);


#endif //_ROCKS